#ifndef MSP_TIME_RAWTIME_H_
#define MSP_TIME_RAWTIME_H_

#ifndef WIN32
#include <sys/time.h>
#endif

namespace Msp {
namespace Time {

#ifdef MSVC
typedef __int64 RawTime;
#else
typedef long long RawTime;
#endif

#ifndef WIN32
// Internal conversion utilities, not intended for public use
timeval rawtime_to_timeval(RawTime);
timespec rawtime_to_timespec(RawTime);
#endif

} // namespace Time
} // namespace Msp

#endif
