#ifndef MSP_TIME_UTILS_H_
#define MSP_TIME_UTILS_H_

#include <string>

namespace Msp {
namespace Time {

class TimeDelta;
class TimeStamp;

extern TimeStamp now();
extern std::string format_now(const std::string &);
extern TimeDelta get_cpu_time();
extern int sleep(const TimeDelta &);

} // namespace Time
} // namespace Msp

#endif
